<!-- Generated by codeindex (detailed) at 2026-02-06T11:58:38.765781 -->

# parsers

## Overview

- **Files**: 2
- **Symbols**: 3

## Files

### __init__.py

### java_parser.py
_Java language parser module.

This module provides a convenient interface for parsing Java files.
The actual implementation is in codeindex.parser._

**Functions:**
- `def is_java_file(path: str) -> bool`
- `def parse_java_file(file_path: str, content: str) -> ParseResult`

## Dependencies

- codeindex.parser
- os
- pathlib
- tempfile
